
# --------------------------------------
#   zorg_dmx_rtc_board
#   65f69745caf91c09canv
__canvas_id__ = '65f69745caf91c09'
# __version__ = TODO: add this
# --------------------------------------
from floe import FP

from NeoPixel import NeoPixel
from I2C import I2C
from DigitalOutput import DigitalOutput
from DigitalInput import DigitalInput
from WebsocketServer import WebsocketServer
from HbtLed import HbtLed
from Pcf8563 import Pcf8563
from Zorg import Zorg
from ESP32Core import ESP32Core
from CANBus import CANBus
def setup(iris):
  CANBus(name="CANBus", pid=6545, rx=2, tx=4, adr=11, bus=0, baud=250000, rx_queue=25, terminal_debug=False, debug=False, active=True, bcast=False, iris=iris)
  DigitalInput(name="down", pid=56289, pin=39, pullup='None', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="function_button", pid=2276, pin=36, pullup='None', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="minus", pid=21343, pin=21, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="plus", pid=30366, pin=14, pullup='pullup', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalInput(name="up", pid=46941, pin=34, pullup='None', debounce=200, invert=True, initial_value=False, datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  DigitalOutput(name="can_slp", pid=11397, pin=13, invert=False, initial_value=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  DigitalOutput(name="relay", pid=34645, pin=22, invert=False, initial_value=False, datatype="bool", debug=False, active=True, bcast=False, iris=iris)
  ESP32Core(name="ESP32Core", pid=6074, wifi=True, hbt_led=FP(50487), neo_status=FP(47403), function_button=FP(2276), bus=FP(6545), zorg=FP(59291), webserver=FP(53339), debug=False, active=True, bcast=False, iris=iris)
  HbtLed(name="HbtLed", pid=50487, pin=15, delay=1000, datatype="int", debug=False, active=True, bcast=False, iris=iris)
  I2C(name="I2C", pid=45892, sda=26, scl=27, bus=0, baud=400000, debug=False, active=True, bcast=False, iris=iris)
  NeoPixel(name="neo_status", pid=47403, pin=12, number_of_pixels=1, animation=0, delay=200, animations=None, datatype="rgb", debug=False, active=True, bcast=False, iris=iris)
  Pcf8563(name="rtc", pid=23367, i2c=FP(45892), datatype="bool", debug=False, active=True, bcast=True, iris=iris)
  WebsocketServer(name="WebsocketServer", pid=53339, datatype="null", debug=False, active=True, bcast=False, iris=iris)
  Zorg(name="Zorg", pid=59291, debug=False, active=True, bcast=False, iris=iris)
  iris.add_hots({})

